Bug 772766 - Review Request: stylus-toolbox - A printer utility for Epson Stylus® inkjet printers
Summary: Review Request: stylus-toolbox - A printer utility for Epson Stylus® inkjet p...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-09 22:25 UTC by Mario Santagiuliana
Modified: 2012-07-14 21:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-06 11:13:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpopelka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mario Santagiuliana 2012-01-09 22:25:58 UTC
Spec URL: http://marionline.fedorapeople.org/packages/SPECS/stylus-toolbox.spec
SRPM URL: http://marionline.fedorapeople.org/packages/SRPMS/stylus-toolbox-0.2.7-0.fc16.src.rpm
Description:
Stylus Toolbox is a printer utility for Epson Stylus® inkjet printers that is
designed to replace the Epson Printer Utility that comes with the Epson drivers
for the Windows platform on Linux, Mac OS X, FreeBSD and other Unix and
Unix-like operating systems that are supported by the Python programming
language and the Gutenprint inkjet drivers.

Stylus Toolbox is a graphical (GUI) front-end for Gutenprint's escputil
command-line Epson printer utility.  As a reult, it supports all printers
supported by escputil and Gutenprint, including many recent-model Epson Stylus

Comment 2 Jiri Popelka 2012-07-03 14:31:07 UTC
Hi,

I have a few general notes, none of them is spec file related:

Looking at the Features it seems it doesn't provide much more
then system-config-printer already does.

The development doesn't seem to be much active,
all changes in the CVS repository are 4-5 years old.

What about the HAL requirement mentioned on
http://stylus-toolbox.sourceforge.net ?
HAL was removed in Fedora 16 (I think),
does this tool work without it ?


I personally don't think we need another system-config-printer-like tool with non-active upstream.

Comment 3 Mario Santagiuliana 2012-07-04 06:24:46 UTC
Yes, it is an old project but when I create the package it works for me on a fedora 16.

Here the features from the upstream website:
Stylus Toolbox supports all of the functions of escputil, including:
    Displaying ink levels
    Printing a nozzle test
    Cleaning the print nozzles
    Performing head alignment
    Identifying the model name

Additionally, Stylus Toolbox also provides:
    A tray icon for displaying the model name and ink levels
    A context menu for the tray icon, with access to all options
    An optional toolbox showing the same information as the tray icon with a toolbar
    Automatic "Just Works" configuration of parameters such as the raw printer device through integration with HAL/DBus and CUPS
    Automatic "Just Works" configuration for and support of printers attached to remote CUPS servers over an SSH connection
    SSH support for remote printers works supports both password and key-based authentication, including support for 'remembering' authentication credentials (username/password)
    Convient access to the printer settings via a 'Properties' menu pick and toolbar icon
    All settings are stored in an automatically-generated plain-text, yet fully editable configuration file

So it is not similar to system-config-printer. I see it like a GUI to escputil.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Jiri Popelka 2012-07-04 09:53:17 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail

==== Python ====

[x]: MUST Python eggs must be built from source.
[x]: MUST Python eggs must not download any dependencies during the build process.

You don't need to define python_sitelib macro, see
https://fedoraproject.org/wiki/Packaging:Python#Macros

==== Generic ====

[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot}
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
  MD5SUM this package     : cf067e2abc091804385974dd146b2090
  MD5SUM upstream package : cf067e2abc091804385974dd146b2090

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Dist tag is present.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.

Issues:

[!]: MUST Package must own all directories that it creates.

Add
%dir %{_datadir}/%{name}
to %files

[!]: MUST Rpmlint output is silent.

stylus-toolbox.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/GladeWindow.py 0644L /usr/bin/env
I'd just remove the shebang during install.

stylus-toolbox.src: W: spelling-error %description -l en_US reult -> result, re ult, re-ult
Fix this typo.

Comment 5 Mario Santagiuliana 2012-07-04 11:19:31 UTC
Spec URL: http://marionline.fedorapeople.org/packages/SPECS/stylus-toolbox.spec
SRPM URL:
http://marionline.fedorapeople.org/packages/SRPMS/stylus-toolbox-0.2.7-2.fc16.src.rpm

Fix:

[makerpm@mariotuxbox ~]$ rpmlint /var/lib/mock/fedora-16-x86_64/result/*.rpm
stylus-toolbox.noarch: W: spelling-error Summary(en_US) inkjet -> ink jet, ink-jet, trinket
stylus-toolbox.noarch: W: spelling-error %description -l en_US inkjet -> ink jet, ink-jet, trinket
stylus-toolbox.noarch: W: spelling-error %description -l en_US escputil -> pestilence
stylus-toolbox.noarch: W: no-manual-page-for-binary stylus-toolbox
stylus-toolbox.src: W: spelling-error Summary(en_US) inkjet -> ink jet, ink-jet, trinket
stylus-toolbox.src: W: spelling-error %description -l en_US inkjet -> ink jet, ink-jet, trinket
stylus-toolbox.src: W: spelling-error %description -l en_US escputil -> pestilence
2 packages and 0 specfiles checked; 0 errors, 7 warnings.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Jiri Popelka 2012-07-04 11:58:47 UTC
Also this:

> You don't need to define python_sitelib macro, see
> https://fedoraproject.org/wiki/Packaging:Python#Macros

but that's not a blocker, so this package is APPROVED !

Comment 7 Mario Santagiuliana 2012-07-04 14:53:57 UTC
Thank you for your review!
I remove the macro:
Spec URL: http://marionline.fedorapeople.org/packages/SPECS/stylus-toolbox.spec
SRPM URL:
http://marionline.fedorapeople.org/packages/SRPMS/stylus-toolbox-0.2.7-3.fc16.src.rpm




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Mario Santagiuliana 2012-07-04 14:57:01 UTC
New Package SCM Request
=======================
Package Name: stylus-toolbox
Short Description: A printer utility for Epson Stylus® inkjet printers
Owners: marionline
Branches: f16 f17
InitialCC: marionline

Comment 9 Gwyn Ciesla 2012-07-04 20:58:08 UTC
Git done (by process-git-requests).

Comment 10 Mario Santagiuliana 2012-07-06 11:13:33 UTC

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 11 Fedora Update System 2012-07-06 11:14:48 UTC
stylus-toolbox-0.2.7-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/stylus-toolbox-0.2.7-3.fc16

Comment 12 Fedora Update System 2012-07-06 11:15:38 UTC
stylus-toolbox-0.2.7-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/stylus-toolbox-0.2.7-3.fc17

Comment 13 Fedora Update System 2012-07-14 21:47:33 UTC
stylus-toolbox-0.2.7-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Fedora Update System 2012-07-14 21:51:23 UTC
stylus-toolbox-0.2.7-3.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.